Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class LexerFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.codehaus.groovy.antlr.LexerFrame

All Implemented Interfaces:
  java.awt.event.ActionListener

    public class LexerFrame
    extends javax.swing.JFrame

Authors:
  Santhosh Kumar T

Version:
  1.0

Field Summary

Fields inherited from class javax.swing.JFrame
EXIT_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class java.awt.Frame
DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Constructor Summary
`LexerFrame(java.lang.Class lexerClass, java.lang.Class tokenTypesClass)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class javax.swing.JFrame
javax.swing.JFrame#setTransferHandler(javax.swing.TransferHandler), javax.swing.JFrame#getTransferHandler(), javax.swing.JFrame#setJMenuBar(javax.swing.JMenuBar), javax.swing.JFrame#getJMenuBar(), javax.swing.JFrame#setDefaultCloseOperation(int), javax.swing.JFrame#getDefaultCloseOperation(), javax.swing.JFrame#setContentPane(java.awt.Container), javax.swing.JFrame#setLayeredPane(javax.swing.JLayeredPane), javax.swing.JFrame#getGlassPane(), javax.swing.JFrame#setGlassPane(java.awt.Component), javax.swing.JFrame#setDefaultLookAndFeelDecorated(boolean), javax.swing.JFrame#isDefaultLookAndFeelDecorated(), javax.swing.JFrame#remove(java.awt.Component), javax.swing.JFrame#update(java.awt.Graphics), javax.swing.JFrame#setLayout(java.awt.LayoutManager), javax.swing.JFrame#setIconImage(java.awt.Image), javax.swing.JFrame#getRootPane(), javax.swing.JFrame#getLayeredPane(), javax.swing.JFrame#getContentPane(), javax.swing.JFrame#getGraphics(), javax.swing.JFrame#repaint(long, int, int, int, int), javax.swing.JFrame#getAccessibleContext(), javax.swing.JFrame#isResizable(), javax.swing.JFrame#setResizable(boolean), javax.swing.JFrame#getTitle(), javax.swing.JFrame#setTitle(java.lang.String), javax.swing.JFrame#setUndecorated(boolean), javax.swing.JFrame#setMenuBar(java.awt.MenuBar), javax.swing.JFrame#getMenuBar(), javax.swing.JFrame#getIconImage(), javax.swing.JFrame#setExtendedState(int), javax.swing.JFrame#getExtendedState(), javax.swing.JFrame#setMaximizedBounds(java.awt.Rectangle), javax.swing.JFrame#getMaximizedBounds(), javax.swing.JFrame#isUndecorated(), javax.swing.JFrame#getCursorType(), javax.swing.JFrame#getFrames(), javax.swing.JFrame#remove(java.awt.MenuComponent), javax.swing.JFrame#getState(), javax.swing.JFrame#setState(int), javax.swing.JFrame#setOpacity(float), javax.swing.JFrame#setShape(java.awt.Shape), javax.swing.JFrame#setBackground(java.awt.Color), javax.swing.JFrame#setCursor(int), javax.swing.JFrame#addNotify(), javax.swing.JFrame#removeNotify(), javax.swing.JFrame#getType(), javax.swing.JFrame#pack(), javax.swing.JFrame#setSize(java.awt.Dimension), javax.swing.JFrame#setSize(int, int), javax.swing.JFrame#isOpaque(), javax.swing.JFrame#getOwner(), javax.swing.JFrame#getLocale(), javax.swing.JFrame#getIconImages(), javax.swing.JFrame#setIconImages(java.util.List), javax.swing.JFrame#toFront(), javax.swing.JFrame#toBack(), javax.swing.JFrame#getWarningString(), javax.swing.JFrame#getOwnedWindows(), javax.swing.JFrame#getWindows(), javax.swing.JFrame#getOwnerlessWindows(), javax.swing.JFrame#setModalExclusionType(java.awt.Dialog$ModalExclusionType), javax.swing.JFrame#getModalExclusionType(), javax.swing.JFrame#addWindowListener(java.awt.event.WindowListener), javax.swing.JFrame#addWindowStateListener(java.awt.event.WindowStateListener), javax.swing.JFrame#addWindowFocusListener(java.awt.event.WindowFocusListener), javax.swing.JFrame#removeWindowListener(java.awt.event.WindowListener), javax.swing.JFrame#removeWindowStateListener(java.awt.event.WindowStateListener), javax.swing.JFrame#removeWindowFocusListener(java.awt.event.WindowFocusListener), javax.swing.JFrame#getWindowListeners(), javax.swing.JFrame#getWindowFocusListeners(), javax.swing.JFrame#getWindowStateListeners(), javax.swing.JFrame#setAlwaysOnTop(boolean), javax.swing.JFrame#isAlwaysOnTopSupported(), javax.swing.JFrame#isAlwaysOnTop(), javax.swing.JFrame#isActive(), javax.swing.JFrame#isFocused(), javax.swing.JFrame#setFocusCycleRoot(boolean), javax.swing.JFrame#getFocusableWindowState(), javax.swing.JFrame#setFocusableWindowState(boolean), javax.swing.JFrame#setAutoRequestFocus(boolean), javax.swing.JFrame#isAutoRequestFocus(), javax.swing.JFrame#applyResourceBundle(java.util.ResourceBundle), javax.swing.JFrame#applyResourceBundle(java.lang.String), javax.swing.JFrame#setType(java.awt.Window$Type), javax.swing.JFrame#setLocationRelativeTo(java.awt.Component), javax.swing.JFrame#setLocationByPlatform(boolean), javax.swing.JFrame#isLocationByPlatform(), javax.swing.JFrame#getOpacity(), javax.swing.JFrame#getShape(), javax.swing.JFrame#getToolkit(), javax.swing.JFrame#isShowing(), javax.swing.JFrame#setVisible(boolean), javax.swing.JFrame#show(), javax.swing.JFrame#hide(), javax.swing.JFrame#getBackground(), javax.swing.JFrame#setLocation(int, int), javax.swing.JFrame#setLocation(java.awt.Point), javax.swing.JFrame#setBounds(int, int, int, int), javax.swing.JFrame#setBounds(java.awt.Rectangle), javax.swing.JFrame#reshape(int, int, int, int), javax.swing.JFrame#setMinimumSize(java.awt.Dimension), javax.swing.JFrame#setCursor(java.awt.Cursor), javax.swing.JFrame#paint(java.awt.Graphics), javax.swing.JFrame#createBufferStrategy(int), javax.swing.JFrame#createBufferStrategy(int, java.awt.BufferCapabilities), javax.swing.JFrame#getBufferStrategy(), javax.swing.JFrame#postEvent(java.awt.Event), javax.swing.JFrame#getListeners(java.lang.Class), javax.swing.JFrame#getInputContext(), javax.swing.JFrame#getFocusTraversalKeys(int), javax.swing.JFrame#getFocusCycleRootAncestor(), javax.swing.JFrame#isFocusCycleRoot(), javax.swing.JFrame#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JFrame#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JFrame#isValidateRoot(), javax.swing.JFrame#dispose(), javax.swing.JFrame#isFocusableWindow(), javax.swing.JFrame#getMostRecentFocusOwner(), javax.swing.JFrame#getFocusOwner(), javax.swing.JFrame#add(java.awt.Component), javax.swing.JFrame#add(java.lang.String, java.awt.Component), javax.swing.JFrame#add(java.awt.Component, int), javax.swing.JFrame#add(java.awt.Component, java.lang.Object), javax.swing.JFrame#add(java.awt.Component, java.lang.Object, int), javax.swing.JFrame#list(java.io.PrintStream, int), javax.swing.JFrame#list(java.io.PrintWriter, int), javax.swing.JFrame#remove(int), javax.swing.JFrame#print(java.awt.Graphics), javax.swing.JFrame#removeAll(), javax.swing.JFrame#doLayout(), javax.swing.JFrame#layout(), javax.swing.JFrame#getLayout(), javax.swing.JFrame#validate(), javax.swing.JFrame#insets(), javax.swing.JFrame#setComponentZOrder(java.awt.Component, int), javax.swing.JFrame#paintComponents(java.awt.Graphics), javax.swing.JFrame#printComponents(java.awt.Graphics), javax.swing.JFrame#addContainerListener(java.awt.event.ContainerListener), javax.swing.JFrame#removeContainerListener(java.awt.event.ContainerListener), javax.swing.JFrame#getContainerListeners(), javax.swing.JFrame#isAncestorOf(java.awt.Component), javax.swing.JFrame#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), javax.swing.JFrame#isFocusTraversalPolicySet(), javax.swing.JFrame#setFocusTraversalPolicyProvider(boolean), javax.swing.JFrame#isFocusTraversalPolicyProvider(), javax.swing.JFrame#transferFocusDownCycle(), javax.swing.JFrame#getMousePosition(boolean), javax.swing.JFrame#setFont(java.awt.Font), javax.swing.JFrame#preferredSize(), javax.swing.JFrame#getPreferredSize(), javax.swing.JFrame#minimumSize(), javax.swing.JFrame#getMinimumSize(), javax.swing.JFrame#getMaximumSize(), javax.swing.JFrame#getAlignmentX(), javax.swing.JFrame#getAlignmentY(), javax.swing.JFrame#invalidate(), javax.swing.JFrame#getComponentAt(int, int), javax.swing.JFrame#getComponentAt(java.awt.Point), javax.swing.JFrame#locate(int, int), javax.swing.JFrame#deliverEvent(java.awt.Event), javax.swing.JFrame#setFocusTraversalKeys(int, java.util.Set), javax.swing.JFrame#areFocusTraversalKeysSet(int), javax.swing.JFrame#isFocusCycleRoot(java.awt.Container), javax.swing.JFrame#applyComponentOrientation(java.awt.ComponentOrientation), javax.swing.JFrame#findComponentAt(int, int), javax.swing.JFrame#findComponentAt(java.awt.Point), javax.swing.JFrame#countComponents(), javax.swing.JFrame#getInsets(), javax.swing.JFrame#getFocusTraversalPolicy(), javax.swing.JFrame#getComponents(), javax.swing.JFrame#getComponentZOrder(java.awt.Component), javax.swing.JFrame#getComponent(int), javax.swing.JFrame#getComponentCount(), javax.swing.JFrame#add(java.awt.PopupMenu), javax.swing.JFrame#toString(), javax.swing.JFrame#getName(), javax.swing.JFrame#size(), javax.swing.JFrame#contains(int, int), javax.swing.JFrame#contains(java.awt.Point), javax.swing.JFrame#list(), javax.swing.JFrame#list(java.io.PrintStream), javax.swing.JFrame#list(java.io.PrintWriter), javax.swing.JFrame#getParent(), javax.swing.JFrame#getLocation(), javax.swing.JFrame#getLocation(java.awt.Point), javax.swing.JFrame#setName(java.lang.String), javax.swing.JFrame#getSize(), javax.swing.JFrame#getSize(java.awt.Dimension), javax.swing.JFrame#isValid(), javax.swing.JFrame#action(java.awt.Event, java.lang.Object), javax.swing.JFrame#resize(int, int), javax.swing.JFrame#resize(java.awt.Dimension), javax.swing.JFrame#location(), javax.swing.JFrame#enable(), javax.swing.JFrame#enable(boolean), javax.swing.JFrame#disable(), javax.swing.JFrame#setLocale(java.util.Locale), javax.swing.JFrame#bounds(), javax.swing.JFrame#getBounds(), javax.swing.JFrame#getBounds(java.awt.Rectangle), javax.swing.JFrame#isEnabled(), javax.swing.JFrame#move(int, int), javax.swing.JFrame#isLightweight(), javax.swing.JFrame#isDisplayable(), javax.swing.JFrame#isVisible(), javax.swing.JFrame#getPeer(), javax.swing.JFrame#setDropTarget(java.awt.dnd.DropTarget), javax.swing.JFrame#getDropTarget(), javax.swing.JFrame#getGraphicsConfiguration(), javax.swing.JFrame#getTreeLock(), javax.swing.JFrame#getMousePosition(), javax.swing.JFrame#setEnabled(boolean), javax.swing.JFrame#isDoubleBuffered(), javax.swing.JFrame#enableInputMethods(boolean), javax.swing.JFrame#show(boolean), javax.swing.JFrame#getForeground(), javax.swing.JFrame#setForeground(java.awt.Color), javax.swing.JFrame#isForegroundSet(), javax.swing.JFrame#isBackgroundSet(), javax.swing.JFrame#getFont(), javax.swing.JFrame#isFontSet(), javax.swing.JFrame#getColorModel(), javax.swing.JFrame#getLocationOnScreen(), javax.swing.JFrame#getX(), javax.swing.JFrame#getY(), javax.swing.JFrame#getWidth(), javax.swing.JFrame#getHeight(), javax.swing.JFrame#setPreferredSize(java.awt.Dimension), javax.swing.JFrame#isPreferredSizeSet(), javax.swing.JFrame#isMinimumSizeSet(), javax.swing.JFrame#setMaximumSize(java.awt.Dimension), javax.swing.JFrame#isMaximumSizeSet(), javax.swing.JFrame#getBaseline(int, int), javax.swing.JFrame#getBaselineResizeBehavior(), javax.swing.JFrame#revalidate(), javax.swing.JFrame#getFontMetrics(java.awt.Font), javax.swing.JFrame#getCursor(), javax.swing.JFrame#isCursorSet(), javax.swing.JFrame#paintAll(java.awt.Graphics), javax.swing.JFrame#repaint(), javax.swing.JFrame#repaint(long), javax.swing.JFrame#repaint(int, int, int, int), javax.swing.JFrame#printAll(java.awt.Graphics), javax.swing.JFrame#imageUpdate(java.awt.Image, int, int, int, int, int), javax.swing.JFrame#createImage(java.awt.image.ImageProducer), javax.swing.JFrame#createImage(int, int), javax.swing.JFrame#createVolatileImage(int, int), javax.swing.JFrame#createVolatileImage(int, int, java.awt.ImageCapabilities), javax.swing.JFrame#prepareImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JFrame#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JFrame#checkImage(java.awt.Image, java.awt.image.ImageObserver), javax.swing.JFrame#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), javax.swing.JFrame#setIgnoreRepaint(boolean), javax.swing.JFrame#getIgnoreRepaint(), javax.swing.JFrame#inside(int, int), javax.swing.JFrame#dispatchEvent(java.awt.AWTEvent), javax.swing.JFrame#addComponentListener(java.awt.event.ComponentListener), javax.swing.JFrame#removeComponentListener(java.awt.event.ComponentListener), javax.swing.JFrame#getComponentListeners(), javax.swing.JFrame#addFocusListener(java.awt.event.FocusListener), javax.swing.JFrame#removeFocusListener(java.awt.event.FocusListener), javax.swing.JFrame#getFocusListeners(), javax.swing.JFrame#addHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JFrame#removeHierarchyListener(java.awt.event.HierarchyListener), javax.swing.JFrame#getHierarchyListeners(), javax.swing.JFrame#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JFrame#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), javax.swing.JFrame#getHierarchyBoundsListeners(), javax.swing.JFrame#addKeyListener(java.awt.event.KeyListener), javax.swing.JFrame#removeKeyListener(java.awt.event.KeyListener), javax.swing.JFrame#getKeyListeners(), javax.swing.JFrame#addMouseListener(java.awt.event.MouseListener), javax.swing.JFrame#removeMouseListener(java.awt.event.MouseListener), javax.swing.JFrame#getMouseListeners(), javax.swing.JFrame#addMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JFrame#removeMouseMotionListener(java.awt.event.MouseMotionListener), javax.swing.JFrame#getMouseMotionListeners(), javax.swing.JFrame#addMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JFrame#removeMouseWheelListener(java.awt.event.MouseWheelListener), javax.swing.JFrame#getMouseWheelListeners(), javax.swing.JFrame#addInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JFrame#removeInputMethodListener(java.awt.event.InputMethodListener), javax.swing.JFrame#getInputMethodListeners(), javax.swing.JFrame#getInputMethodRequests(), javax.swing.JFrame#handleEvent(java.awt.Event), javax.swing.JFrame#mouseDown(java.awt.Event, int, int), javax.swing.JFrame#mouseDrag(java.awt.Event, int, int), javax.swing.JFrame#mouseUp(java.awt.Event, int, int), javax.swing.JFrame#mouseMove(java.awt.Event, int, int), javax.swing.JFrame#mouseEnter(java.awt.Event, int, int), javax.swing.JFrame#mouseExit(java.awt.Event, int, int), javax.swing.JFrame#keyDown(java.awt.Event, int), javax.swing.JFrame#keyUp(java.awt.Event, int), javax.swing.JFrame#gotFocus(java.awt.Event, java.lang.Object), javax.swing.JFrame#lostFocus(java.awt.Event, java.lang.Object), javax.swing.JFrame#isFocusTraversable(), javax.swing.JFrame#isFocusable(), javax.swing.JFrame#setFocusable(boolean), javax.swing.JFrame#setFocusTraversalKeysEnabled(boolean), javax.swing.JFrame#getFocusTraversalKeysEnabled(), javax.swing.JFrame#requestFocus(), javax.swing.JFrame#requestFocusInWindow(), javax.swing.JFrame#transferFocus(), javax.swing.JFrame#nextFocus(), javax.swing.JFrame#transferFocusBackward(), javax.swing.JFrame#transferFocusUpCycle(), javax.swing.JFrame#hasFocus(), javax.swing.JFrame#isFocusOwner(), javax.swing.JFrame#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.JFrame#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), javax.swing.JFrame#getPropertyChangeListeners(), javax.swing.JFrame#getPropertyChangeListeners(java.lang.String), javax.swing.JFrame#firePropertyChange(java.lang.String, byte, byte), javax.swing.JFrame#firePropertyChange(java.lang.String, char, char), javax.swing.JFrame#firePropertyChange(java.lang.String, short, short), javax.swing.JFrame#firePropertyChange(java.lang.String, long, long), javax.swing.JFrame#firePropertyChange(java.lang.String, float, float), javax.swing.JFrame#firePropertyChange(java.lang.String, double, double), javax.swing.JFrame#setComponentOrientation(java.awt.ComponentOrientation), javax.swing.JFrame#getComponentOrientation(), javax.swing.JFrame#wait(long), javax.swing.JFrame#wait(long, int), javax.swing.JFrame#wait(), javax.swing.JFrame#equals(java.lang.Object), javax.swing.JFrame#hashCode(), javax.swing.JFrame#getClass(), javax.swing.JFrame#notify(), javax.swing.JFrame#notifyAll()

Methods inherited from class java.awt.Frame
java.awt.Frame#isResizable(), java.awt.Frame#setResizable(boolean), java.awt.Frame#getTitle(), java.awt.Frame#setTitle(java.lang.String), java.awt.Frame#setUndecorated(boolean), java.awt.Frame#setMenuBar(java.awt.MenuBar), java.awt.Frame#getMenuBar(), java.awt.Frame#getIconImage(), java.awt.Frame#setExtendedState(int), java.awt.Frame#getExtendedState(), java.awt.Frame#setMaximizedBounds(java.awt.Rectangle), java.awt.Frame#getMaximizedBounds(), java.awt.Frame#isUndecorated(), java.awt.Frame#getCursorType(), java.awt.Frame#getFrames(), java.awt.Frame#remove(java.awt.MenuComponent), java.awt.Frame#getState(), java.awt.Frame#setState(int), java.awt.Frame#setIconImage(java.awt.Image), java.awt.Frame#setOpacity(float), java.awt.Frame#setShape(java.awt.Shape), java.awt.Frame#setBackground(java.awt.Color), java.awt.Frame#setCursor(int), java.awt.Frame#addNotify(), java.awt.Frame#removeNotify(), java.awt.Frame#getAccessibleContext(), java.awt.Frame#getType(), java.awt.Frame#pack(), java.awt.Frame#setSize(java.awt.Dimension), java.awt.Frame#setSize(int, int), java.awt.Frame#isOpaque(), java.awt.Frame#getOwner(), java.awt.Frame#getLocale(), java.awt.Frame#getIconImages(), java.awt.Frame#setIconImages(java.util.List), java.awt.Frame#toFront(), java.awt.Frame#toBack(), java.awt.Frame#getWarningString(), java.awt.Frame#getOwnedWindows(), java.awt.Frame#getWindows(), java.awt.Frame#getOwnerlessWindows(), java.awt.Frame#setModalExclusionType(java.awt.Dialog$ModalExclusionType), java.awt.Frame#getModalExclusionType(), java.awt.Frame#addWindowListener(java.awt.event.WindowListener), java.awt.Frame#addWindowStateListener(java.awt.event.WindowStateListener), java.awt.Frame#addWindowFocusListener(java.awt.event.WindowFocusListener), java.awt.Frame#removeWindowListener(java.awt.event.WindowListener), java.awt.Frame#removeWindowStateListener(java.awt.event.WindowStateListener), java.awt.Frame#removeWindowFocusListener(java.awt.event.WindowFocusListener), java.awt.Frame#getWindowListeners(), java.awt.Frame#getWindowFocusListeners(), java.awt.Frame#getWindowStateListeners(), java.awt.Frame#setAlwaysOnTop(boolean), java.awt.Frame#isAlwaysOnTopSupported(), java.awt.Frame#isAlwaysOnTop(), java.awt.Frame#isActive(), java.awt.Frame#isFocused(), java.awt.Frame#setFocusCycleRoot(boolean), java.awt.Frame#getFocusableWindowState(), java.awt.Frame#setFocusableWindowState(boolean), java.awt.Frame#setAutoRequestFocus(boolean), java.awt.Frame#isAutoRequestFocus(), java.awt.Frame#applyResourceBundle(java.util.ResourceBundle), java.awt.Frame#applyResourceBundle(java.lang.String), java.awt.Frame#setType(java.awt.Window$Type), java.awt.Frame#setLocationRelativeTo(java.awt.Component), java.awt.Frame#setLocationByPlatform(boolean), java.awt.Frame#isLocationByPlatform(), java.awt.Frame#getOpacity(), java.awt.Frame#getShape(), java.awt.Frame#getToolkit(), java.awt.Frame#isShowing(), java.awt.Frame#setVisible(boolean), java.awt.Frame#show(), java.awt.Frame#hide(), java.awt.Frame#getBackground(), java.awt.Frame#setLocation(int, int), java.awt.Frame#setLocation(java.awt.Point), java.awt.Frame#setBounds(int, int, int, int), java.awt.Frame#setBounds(java.awt.Rectangle), java.awt.Frame#reshape(int, int, int, int), java.awt.Frame#setMinimumSize(java.awt.Dimension), java.awt.Frame#setCursor(java.awt.Cursor), java.awt.Frame#paint(java.awt.Graphics), java.awt.Frame#createBufferStrategy(int), java.awt.Frame#createBufferStrategy(int, java.awt.BufferCapabilities), java.awt.Frame#getBufferStrategy(), java.awt.Frame#postEvent(java.awt.Event), java.awt.Frame#getListeners(java.lang.Class), java.awt.Frame#getInputContext(), java.awt.Frame#getFocusTraversalKeys(int), java.awt.Frame#getFocusCycleRootAncestor(), java.awt.Frame#isFocusCycleRoot(), java.awt.Frame#addPropertyChangeListener(java.beans.PropertyChangeListener), java.awt.Frame#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), java.awt.Frame#isValidateRoot(), java.awt.Frame#dispose(), java.awt.Frame#isFocusableWindow(), java.awt.Frame#getMostRecentFocusOwner(), java.awt.Frame#getFocusOwner(), java.awt.Frame#add(java.awt.Component), java.awt.Frame#add(java.lang.String, java.awt.Component), java.awt.Frame#add(java.awt.Component, int), java.awt.Frame#add(java.awt.Component, java.lang.Object), java.awt.Frame#add(java.awt.Component, java.lang.Object, int), java.awt.Frame#list(java.io.PrintStream, int), java.awt.Frame#list(java.io.PrintWriter, int), java.awt.Frame#remove(int), java.awt.Frame#remove(java.awt.Component), java.awt.Frame#print(java.awt.Graphics), java.awt.Frame#removeAll(), java.awt.Frame#update(java.awt.Graphics), java.awt.Frame#doLayout(), java.awt.Frame#setLayout(java.awt.LayoutManager), java.awt.Frame#layout(), java.awt.Frame#getLayout(), java.awt.Frame#validate(), java.awt.Frame#insets(), java.awt.Frame#setComponentZOrder(java.awt.Component, int), java.awt.Frame#paintComponents(java.awt.Graphics), java.awt.Frame#printComponents(java.awt.Graphics), java.awt.Frame#addContainerListener(java.awt.event.ContainerListener), java.awt.Frame#removeContainerListener(java.awt.event.ContainerListener), java.awt.Frame#getContainerListeners(), java.awt.Frame#isAncestorOf(java.awt.Component), java.awt.Frame#setFocusTraversalPolicy(java.awt.FocusTraversalPolicy), java.awt.Frame#isFocusTraversalPolicySet(), java.awt.Frame#setFocusTraversalPolicyProvider(boolean), java.awt.Frame#isFocusTraversalPolicyProvider(), java.awt.Frame#transferFocusDownCycle(), java.awt.Frame#getMousePosition(boolean), java.awt.Frame#setFont(java.awt.Font), java.awt.Frame#preferredSize(), java.awt.Frame#getPreferredSize(), java.awt.Frame#minimumSize(), java.awt.Frame#getMinimumSize(), java.awt.Frame#getMaximumSize(), java.awt.Frame#getAlignmentX(), java.awt.Frame#getAlignmentY(), java.awt.Frame#invalidate(), java.awt.Frame#getComponentAt(int, int), java.awt.Frame#getComponentAt(java.awt.Point), java.awt.Frame#locate(int, int), java.awt.Frame#deliverEvent(java.awt.Event), java.awt.Frame#setFocusTraversalKeys(int, java.util.Set), java.awt.Frame#areFocusTraversalKeysSet(int), java.awt.Frame#isFocusCycleRoot(java.awt.Container), java.awt.Frame#applyComponentOrientation(java.awt.ComponentOrientation), java.awt.Frame#findComponentAt(int, int), java.awt.Frame#findComponentAt(java.awt.Point), java.awt.Frame#countComponents(), java.awt.Frame#getInsets(), java.awt.Frame#getFocusTraversalPolicy(), java.awt.Frame#getComponents(), java.awt.Frame#getComponentZOrder(java.awt.Component), java.awt.Frame#getComponent(int), java.awt.Frame#getComponentCount(), java.awt.Frame#add(java.awt.PopupMenu), java.awt.Frame#toString(), java.awt.Frame#getName(), java.awt.Frame#size(), java.awt.Frame#contains(int, int), java.awt.Frame#contains(java.awt.Point), java.awt.Frame#list(), java.awt.Frame#list(java.io.PrintStream), java.awt.Frame#list(java.io.PrintWriter), java.awt.Frame#getParent(), java.awt.Frame#getLocation(), java.awt.Frame#getLocation(java.awt.Point), java.awt.Frame#setName(java.lang.String), java.awt.Frame#getSize(), java.awt.Frame#getSize(java.awt.Dimension), java.awt.Frame#isValid(), java.awt.Frame#action(java.awt.Event, java.lang.Object), java.awt.Frame#resize(int, int), java.awt.Frame#resize(java.awt.Dimension), java.awt.Frame#location(), java.awt.Frame#enable(), java.awt.Frame#enable(boolean), java.awt.Frame#disable(), java.awt.Frame#setLocale(java.util.Locale), java.awt.Frame#bounds(), java.awt.Frame#getBounds(), java.awt.Frame#getBounds(java.awt.Rectangle), java.awt.Frame#isEnabled(), java.awt.Frame#move(int, int), java.awt.Frame#isLightweight(), java.awt.Frame#isDisplayable(), java.awt.Frame#isVisible(), java.awt.Frame#getPeer(), java.awt.Frame#setDropTarget(java.awt.dnd.DropTarget), java.awt.Frame#getDropTarget(), java.awt.Frame#getGraphicsConfiguration(), java.awt.Frame#getTreeLock(), java.awt.Frame#getMousePosition(), java.awt.Frame#setEnabled(boolean), java.awt.Frame#isDoubleBuffered(), java.awt.Frame#enableInputMethods(boolean), java.awt.Frame#show(boolean), java.awt.Frame#getForeground(), java.awt.Frame#setForeground(java.awt.Color), java.awt.Frame#isForegroundSet(), java.awt.Frame#isBackgroundSet(), java.awt.Frame#getFont(), java.awt.Frame#isFontSet(), java.awt.Frame#getColorModel(), java.awt.Frame#getLocationOnScreen(), java.awt.Frame#getX(), java.awt.Frame#getY(), java.awt.Frame#getWidth(), java.awt.Frame#getHeight(), java.awt.Frame#setPreferredSize(java.awt.Dimension), java.awt.Frame#isPreferredSizeSet(), java.awt.Frame#isMinimumSizeSet(), java.awt.Frame#setMaximumSize(java.awt.Dimension), java.awt.Frame#isMaximumSizeSet(), java.awt.Frame#getBaseline(int, int), java.awt.Frame#getBaselineResizeBehavior(), java.awt.Frame#revalidate(), java.awt.Frame#getGraphics(), java.awt.Frame#getFontMetrics(java.awt.Font), java.awt.Frame#getCursor(), java.awt.Frame#isCursorSet(), java.awt.Frame#paintAll(java.awt.Graphics), java.awt.Frame#repaint(), java.awt.Frame#repaint(long), java.awt.Frame#repaint(int, int, int, int), java.awt.Frame#repaint(long, int, int, int, int), java.awt.Frame#printAll(java.awt.Graphics), java.awt.Frame#imageUpdate(java.awt.Image, int, int, int, int, int), java.awt.Frame#createImage(java.awt.image.ImageProducer), java.awt.Frame#createImage(int, int), java.awt.Frame#createVolatileImage(int, int), java.awt.Frame#createVolatileImage(int, int, java.awt.ImageCapabilities), java.awt.Frame#prepareImage(java.awt.Image, java.awt.image.ImageObserver), java.awt.Frame#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver), java.awt.Frame#checkImage(java.awt.Image, java.awt.image.ImageObserver), java.awt.Frame#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver), java.awt.Frame#setIgnoreRepaint(boolean), java.awt.Frame#getIgnoreRepaint(), java.awt.Frame#inside(int, int), java.awt.Frame#dispatchEvent(java.awt.AWTEvent), java.awt.Frame#addComponentListener(java.awt.event.ComponentListener), java.awt.Frame#removeComponentListener(java.awt.event.ComponentListener), java.awt.Frame#getComponentListeners(), java.awt.Frame#addFocusListener(java.awt.event.FocusListener), java.awt.Frame#removeFocusListener(java.awt.event.FocusListener), java.awt.Frame#getFocusListeners(), java.awt.Frame#addHierarchyListener(java.awt.event.HierarchyListener), java.awt.Frame#removeHierarchyListener(java.awt.event.HierarchyListener), java.awt.Frame#getHierarchyListeners(), java.awt.Frame#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), java.awt.Frame#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener), java.awt.Frame#getHierarchyBoundsListeners(), java.awt.Frame#addKeyListener(java.awt.event.KeyListener), java.awt.Frame#removeKeyListener(java.awt.event.KeyListener), java.awt.Frame#getKeyListeners(), java.awt.Frame#addMouseListener(java.awt.event.MouseListener), java.awt.Frame#removeMouseListener(java.awt.event.MouseListener), java.awt.Frame#getMouseListeners(), java.awt.Frame#addMouseMotionListener(java.awt.event.MouseMotionListener), java.awt.Frame#removeMouseMotionListener(java.awt.event.MouseMotionListener), java.awt.Frame#getMouseMotionListeners(), java.awt.Frame#addMouseWheelListener(java.awt.event.MouseWheelListener), java.awt.Frame#removeMouseWheelListener(java.awt.event.MouseWheelListener), java.awt.Frame#getMouseWheelListeners(), java.awt.Frame#addInputMethodListener(java.awt.event.InputMethodListener), java.awt.Frame#removeInputMethodListener(java.awt.event.InputMethodListener), java.awt.Frame#getInputMethodListeners(), java.awt.Frame#getInputMethodRequests(), java.awt.Frame#handleEvent(java.awt.Event), java.awt.Frame#mouseDown(java.awt.Event, int, int), java.awt.Frame#mouseDrag(java.awt.Event, int, int), java.awt.Frame#mouseUp(java.awt.Event, int, int), java.awt.Frame#mouseMove(java.awt.Event, int, int), java.awt.Frame#mouseEnter(java.awt.Event, int, int), java.awt.Frame#mouseExit(java.awt.Event, int, int), java.awt.Frame#keyDown(java.awt.Event, int), java.awt.Frame#keyUp(java.awt.Event, int), java.awt.Frame#gotFocus(java.awt.Event, java.lang.Object), java.awt.Frame#lostFocus(java.awt.Event, java.lang.Object), java.awt.Frame#isFocusTraversable(), java.awt.Frame#isFocusable(), java.awt.Frame#setFocusable(boolean), java.awt.Frame#setFocusTraversalKeysEnabled(boolean), java.awt.Frame#getFocusTraversalKeysEnabled(), java.awt.Frame#requestFocus(), java.awt.Frame#requestFocusInWindow(), java.awt.Frame#transferFocus(), java.awt.Frame#nextFocus(), java.awt.Frame#transferFocusBackward(), java.awt.Frame#transferFocusUpCycle(), java.awt.Frame#hasFocus(), java.awt.Frame#isFocusOwner(), java.awt.Frame#removePropertyChangeListener(java.beans.PropertyChangeListener), java.awt.Frame#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener), java.awt.Frame#getPropertyChangeListeners(), java.awt.Frame#getPropertyChangeListeners(java.lang.String), java.awt.Frame#firePropertyChange(java.lang.String, byte, byte), java.awt.Frame#firePropertyChange(java.lang.String, char, char), java.awt.Frame#firePropertyChange(java.lang.String, short, short), java.awt.Frame#firePropertyChange(java.lang.String, long, long), java.awt.Frame#firePropertyChange(java.lang.String, float, float), java.awt.Frame#firePropertyChange(java.lang.String, double, double), java.awt.Frame#setComponentOrientation(java.awt.ComponentOrientation), java.awt.Frame#getComponentOrientation(), java.awt.Frame#wait(long), java.awt.Frame#wait(long, int), java.awt.Frame#wait(), java.awt.Frame#equals(java.lang.Object), java.awt.Frame#hashCode(), java.awt.Frame#getClass(), java.awt.Frame#notify(), java.awt.Frame#notifyAll()

Constructor Detail

### LexerFrame

    public LexerFrame(java.lang.Class lexerClass, java.lang.Class tokenTypesClass)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

### main

    public static void main(java.lang.String[] args)

Groovy Documentation